apiVersion: apps/v1
kind: Deployment
metadata:
  name: currency-convert
  namespace: currency
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
  minReadySeconds: 5
  template:
    metadata:
      labels:
        app: currency-convert
    spec:
      containers:
        - name: currency-convert
          image: 724526322405.dkr.ecr.eu-west-1.amazonaws.com/currency-convert:{{IMAGE_VERSION}}
          ports:
            - containerPort: 80
            - containerPort: 443
          resources:
            requests:
              cpu: 250m
            limits:
              cpu: 500m
